%define		oname	gCAD3D
#useless empty debug 
%define debug_package	%{nil}
%ifarch x86_64
%define ARCH 64
%else
%define ARCH 32
%endif

Name:		gcad3d
Version:	2.01
Release:	3
Summary:	A 3D CAD CAM application
Group:		Graphics
License:	Freeware
URL:		http://www.gcad3d.org/
# source is extracted from .deb packages in Downloads section
Source0:	%{name}-%{version}.tar.bz2
%rename		%{oname}

%description
gCAD3D is a 3D CAD CAM application that features an integrated 3D OpenGL
viewer, a program interpreter for geometry and NC-commands in 3D, an 
integrated NC-processor, and a programming interface for user programs.

It can
-Import and display data from Iges, Step, wire frame and solid objects 
-Create and modify wire frame elements
-Create surfaces
-Create simple solid bodies
-Assemble user-created ancillary programs
-Export wire frame elements as DXF and Iges
-Export surfaces as Vrml-1, Vrml-2, obj, tw Iges

It cannot yet
-Blend or modify surfaces
-Create or modify complex solid bodies

%prep
%setup -q

%build
# nothing to build 

%install
mkdir -p %{buildroot}%{_prefix}
%ifarch x86_64
cp -r %{oname}-%{version}-Linux64/* %{buildroot}/
%else
cp -r %{oname}-%{version}-Linux-x86/* %{buildroot}/
%endif

#symlinking default gui-lib 
ln %{buildroot}/usr/lib/%{oname}/binLinux%{ARCH}/xa_gui_gtk3.so %{buildroot}/usr/lib/%{oname}/binLinux%{ARCH}/xa_gui.so





mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<@@@
[Desktop Entry]
Name=gCAD3D
Exec=%{name}
Icon=%{_datadir}/%{name}/icons/%{oname}.xpm
Comment=A 3D CAD CAM application
Type=Application
Categories=Graphics;
Terminal=false
@@@




rm -rf %{buildroot}%{_datadir}/menu

%files
%{_docdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_prefix}/lib/%{oname}





%changelog

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.01-3
- (c605acb) MassBuild#1250: Increase release tag


